#pragma once

#include<vector>
#include"Rule.h"
#include<string>

class Point{
public:
	int x;
	int y;
	int dir;
	bool operator==(Point *p);
};

class Node{
public:
	static const int DIR_UP=0;
	static const int DIR_DOWN=1;
	static const int DIR_LEFT=2;
	static const int DIR_RIGHT=3;

	int x;
	int y;
	int dir[4];
	string left;
	string right;
	string up;
	string down;
	//udava, ci sa na pravej strane nachadza prvok
	bool rightPiece;

	Node(void);
	Node(int x, int y, int dup, int ddown, int dleft, int dright);
	~Node(void);

	bool comp(Node *n);
	bool freeDir();
	int cnnts(string name);

};
